using Cysharp.Threading.Tasks;
using System;
using System.Diagnostics;
using UnityEngine;
using WS;

[ObjectSystem]
public class GameManagerAwakeSystem : AwakeSystem<GameManager>
{
    public override void Awake(GameManager self)
    {
        self.Awake();
    }
}
[ObjectSystem]
public class GameManagerUpdateSyste : UpdateSystem<GameManager>
{
    public override void Update(GameManager self)
    {
        self.Update();
    }
}
///<summary>游戏管理器</summary>
public class GameManager : SingleComponent<GameManager>
{
    public DataManager Data;
    public ProcessManager ProcessManager;
    /// <summary> 当前任务分数 </summary>
    public float currentTaskScore;
    /// <summary> 直到当前任务的总分数 </summary>
    public float currentAllScore;

    public void Awake()
    {
        Data = AddComponent<DataManager>();
        ProcessManager = AddComponent<ProcessManager>();
        Data.IsGuide = true;
    }

    public void Update()
    {

    }
}